Bug 107978 - DMA not available for hard drive on DEC HiNote Ultra 2000
DMA not available for hard drive on DEC HiNote Ultra 2000
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
9
i586 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-10-25 09:55 EDT by David C. Shaw
Modified: 2007-04-18 12:58 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:41:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David C. Shaw 2003-10-25 09:55:08 EDT
Description of problem:

DMA not available for the stock IBM hard drive on DEC HiNote Ultra 2000.  It IS
available under e.g. Windows NT.  Have to boot using ide=nodma or else enter
/sbin/hdparm -d0

An early symptom, maybe, is a message saying "BIOS not fully configured" and
"channel 00.08.00 unavailable" during boot.  I am running the latest DEC release
of the BIOS - v.1.07

Version-Release number of selected component (if applicable):

Linux v.9

How reproducible:

During installation - without entering "linux ide=nodma" installation is
pathologically slow.

Once installed - setting "/sbin/hdparm -d1" hangs the machine.

Steps to Reproduce:
1. Either - try installing from CD with default procedure,
2. Or, try "/sbin/hdparm -d1"
3.
    
Actual results:

Pathologically slow performance

Expected results:

Faster performance than DMA disabled!

Additional info:

Latest BIOS from DEC (i.e. HP!) installed and hardware checked.  DMA works under
Windows NT.  "hdparm -I" shows that even udma2 should be available for this disk.
Comment 1 Bugzilla owner 2004-09-30 11:41:39 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.